package net.sf.itcb.addons.monitoring.track.portlet.interceptor;

import javax.portlet.PortletRequest;
import javax.servlet.http.HttpServletRequest;

import net.sf.itcb.addons.monitoring.track.TransactionIdHolder;
import net.sf.itcb.common.portlet.vaadin.ItcbVaadinApplication;
import net.sf.itcb.common.portlet.vaadin.interceptor.request.ItcbRequestInterceptor;

/**
 * This interceptor doesn't track anything. It only close the transaction before leaving the request
 * @author Pierre Le Roux
 *
 */
public class TrackerNoTrackRequestInterceptor implements ItcbRequestInterceptor {
		
	@Override
	public void handleRequestStart(ItcbVaadinApplication application,
			HttpServletRequest servletRequest) {
		// Nothing

	}

	@Override
	public void handleRequestStart(ItcbVaadinApplication application,
			PortletRequest portletRequest) {
		// Nothing

	}

	@Override
	public void handleRequestEnd(ItcbVaadinApplication application,
			HttpServletRequest servletRequest) {
		TransactionIdHolder.closeTransaction();
	}

	@Override
	public void handleRequestEnd(ItcbVaadinApplication application,
			PortletRequest portletRequest) {
		TransactionIdHolder.closeTransaction();
	}

}
