package net.sf.itcb.addons.monitoring.track.server;

import net.sf.itcb.addons.monitoring.track.TransactionIdHolder;

import org.springframework.ws.context.MessageContext;
import org.springframework.ws.server.EndpointInterceptor;

/**
 * This server interceptor only cleans the transactionbId before leaving in order to be sure this transactionId won't be used once again for another request.<br/>
 * It should be used if you track some methods in your webservice but you don't want to track top request.
 * @author Pierre Le Roux
 */
public class TrackerNoTrackEndpointInterceptor implements EndpointInterceptor {

	@Override
	public boolean handleFault(MessageContext messageContext, Object endpoint)
			throws Exception {
		TransactionIdHolder.closeTransaction();
		return true;
	}

	@Override
	public boolean handleRequest(MessageContext messageContext, Object endpoint)
			throws Exception {
		return true;
	}

	@Override
	public boolean handleResponse(MessageContext messageContext, Object endpoint)
			throws Exception {
		TransactionIdHolder.closeTransaction();
		return true;
	}
	
	
	
}
